Skip to main content
GET
/
cloud
/
v1
/
bmflavors
/
{project_id}
/
{region_id}
List bare metal flavors
curl --request GET \
  --url https://api.gcore.com/cloud/v1/bmflavors/{project_id}/{region_id} \
  --header 'Authorization: <api-key>'
{
  "count": 1,
  "results": [
    {
      "architecture": "x86_64",
      "disabled": false,
      "flavor_id": "g2-standard-32-64",
      "flavor_name": "g2-standard-32-64",
      "os_type": "linux",
      "ram": 2048,
      "resource_class": "bm1-ai-small",
      "vcpus": 1,
      "capacity": 1,
      "currency_code": "USD",
      "hardware_description": {},
      "price_per_hour": 1,
      "price_per_month": 720,
      "price_status": "show",
      "reserved_capacity": 5
    }
  ]
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

region_id
integer
required

Region ID

Query Parameters

disabled
boolean

Flag for filtering disabled flavors in the region. Defaults to true

exclude_linux
boolean

Set to true to exclude flavors dedicated to linux images. Default False

exclude_windows
boolean

Set to true to exclude flavors dedicated to windows images. Default False

include_capacity
boolean

Set to true if the response should include flavor capacity

include_prices
boolean

Set to true if the response should include flavor prices

include_reservation_stock
boolean

Optional. Set to true if flavor listing should include count of reserved resources in stock.

limit
integer

Optional. Limit the number of returned items

offset
integer

Optional. Offset value is used to exclude the first set of records from the result

Response

200 - application/json

List of bare metal flavors

count
integer
required

Number of objects

Required range: x >= 0
Example:

1

results
Bare metal flavor schema · object[]
required

Objects